Package com.sas.lsaf.clinical.study

## Class StudyComponentImportInfo

- java.lang.Object
- - com.sas.lsaf.content.common.FileImportInfo
  - - com.sas.lsaf.clinical.study.StudyComponentImportInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class StudyComponentImportInfo
      extends FileImportInfo

  The class that contains information to import metadata for a study component. The import information includes the the file details and the update action to take (such as: REPLACE or ADD_NEW).
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StudyComponentImportInfo()` | Constructor.
    `StudyComponentImportInfo​(java.lang.String importFilePath, java.lang.String importFileVersion, SourceLocation importFileSourceLocation, UpdateAction updateAction)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `UpdateAction` | `getUpdateAction()` | Gets the type of update to make when importing, such as `replace` or `add new`.
    `void` | `setUpdateAction​(UpdateAction updateAction)` | Sets the type of update to make when importing, such as `replace` or `add new`.

    - ### Methods inherited from class com.sas.lsaf.content.common.FileImportInfo

      `getImportFilePath, getImportFileSourceLocation, getImportFileVersion, setImportFilePath, setImportFileSourceLocation, setImportSourceVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StudyComponentImportInfo

          public StudyComponentImportInfo()

      Constructor.

    - #### StudyComponentImportInfo

          public StudyComponentImportInfo​(java.lang.String importFilePath,
                                          java.lang.String importFileVersion,
                                          SourceLocation importFileSourceLocation,
                                          UpdateAction updateAction)

      Constructor.
      Parameters:
        `importFilePath` - The path of the import file.
        `importFileSourceLocation` - The source location (repository or workspace) of the import file.
        `updateAction` - The type of update to make when importing, such as `replace` or `add new`.

  - ### Method Detail

    - #### getUpdateAction

          public UpdateAction getUpdateAction()

      Gets the type of update to make when importing, such as `replace` or `add new`.
      Returns:
        The update action to take when importing.

    - #### setUpdateAction

          public void setUpdateAction​(UpdateAction updateAction)

      Sets the type of update to make when importing, such as `replace` or `add new`.
      Parameters:
        `updateAction` - The update action to take when importing.